Bug 896558 - sss_cache -N/-n should invalidate the hash table in sssd_nss
Summary: sss_cache -N/-n should invalidate the hash table in sssd_nss
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: sssd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Jakub Hrozek
QA Contact: Kaushik Banerjee
URL:
Whiteboard:
Depends On:
Blocks: 986379
TreeView+ depends on / blocked
 
Reported: 2013-01-17 14:27 UTC by Dmitri Pal
Modified: 2014-06-18 04:00 UTC (History)
4 users (show)

Fixed In Version: sssd-1.11.0-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 986379 (view as bug list)
Environment:
Last Closed: 2014-06-13 12:02:21 UTC


Attachments (Terms of Use)

Description Dmitri Pal 2013-01-17 14:27:51 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/sssd/ticket/1759

sss_cache only invalidates the ldb records, but not the in-memory cache that holds the netgroup record. We need to fix that otherwise sssd returns non-logical results:

getent netgroup netgr
 -> shows netgroup, expected
(remove netgroup from LDAP)
sss_cache -N
getent netgroup netgr
 -> still shows the netgroup, should not

Comment 1 Jakub Hrozek 2013-08-07 22:41:37 UTC
Fixed upstream.

Comment 2 Jakub Hrozek 2013-10-04 13:25:20 UTC
Temporarily moving bugs to MODIFIED to work around errata tool bug

Comment 4 Nirupama Karandikar 2013-12-12 10:45:07 UTC
Tested with  sssd-1.11.2-10.el7.x86_64

From beaker automation run :

::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
:: [   LOG    ] :: sss_cache -N/-n should invalidate the hash table in sssd_nss BZ 986379
::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::

:: [   PASS   ] :: Running 'getent netgroup netgrp' (Expected 0, got 0)
:: [   PASS   ] :: Running 'getent netgroup netgrp' (Expected 2, got 2)
:: [   LOG    ] :: Duration: 2s
:: [   LOG    ] :: Assertions: 2 good, 0 bad
:: [   PASS   ] :: RESULT: sss_cache -N/-n should invalidate the hash table in sssd_nss BZ 986379

Comment 5 Ludek Smid 2014-06-13 12:02:21 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.